//	api.GET("/installPlugin", InstallArkApiZip)
// 	//保存配置到配置文件
// 	api.GET("/saveConfig", WriteFileConfig)
// 	//更新实际配置文件内容
// 	api.GET("/updateServerShopApiConfig", UpdateServerShopApiConfig)
import {GetDataByPath, ResponseData} from "./api";

export function installPlugin(compulsion: boolean) {
    return GetDataByPath("/installPlugin?compulsion="+compulsion, {}, true) as Promise<ResponseData<any>>;
}
export function saveConfig() {
    return GetDataByPath("/saveConfig", {}, true) as Promise<ResponseData<any>>;
}
export function updateServerShopApiConfig() {
    return GetDataByPath("/updateServerShopApiConfig", {}, true) as Promise<ResponseData<any>>;
}
